Get Order Intent
curl --request GET \
--url https://staging.crossmint.com/api/unstable/order-intents/{orderIntentId} \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/unstable/order-intents/{orderIntentId}"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/unstable/order-intents/{orderIntentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderIntentId": "oi_8d6a4b1f-9c8a-4cba-b2c1-3a5b8c0d6f12",
"agentId": "9b3a1c20-1f2c-4f78-9f4d-6c5b8a3a8a01",
"phase": "requires-verification",
"payment": {
"paymentMethodId": "pm_8d6a4b1f-9c8a-4cba-b2c1-3a5b8c0d6f12"
},
"mandates": [
{
"type": "maxAmount",
"value": "100.00",
"details": {
"currency": "usd",
"period": "monthly"
}
},
{
"type": "description",
"value": "Weekly grocery purchases"
}
],
"verificationConfig": {
"environment": "production",
"publicApiKey": "key_publicSomething",
"agentId": "agt_btxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"instructionId": "ins_btxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
}
}Agent Cards
Get Agent Card
Get a specific order intent by ID.
API scope required: order-intents.read
GET
/
unstable
/
order-intents
/
{orderIntentId}
Get Order Intent
Headers
API key required for authentication
Path Parameters
Response
200 - application/json
Returns the order intent
- Option 1
- Option 2
Was this page helpful?
⌘I

